import { auth } from '@/app/api/auth/[...nextauth]/route';
import { redirect } from 'next/navigation';
import { UploadPageClient } from './UploadPageClient';

export default async function UploadPage() {
  const session = await auth();

  if (!session?.user) {
    redirect('/login');
  }

  return <UploadPageClient />;
}

